![image]
(https://travis-ci.org/CosmicColor/coolsms-client.svg)

# Coolsms::Client

This is a simple client for sending SMS and LMS messages to mobile phones in South Korea via the CoolSMS api. http://www.coolsms.co.kr/

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'coolsms-client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install coolsms-client

## Usage

```ruby
client = Coolsms::Client.new :api_key => 'YOUR_API_KEY', :api_secret => 'YOUR_API_SECRET', :sender => "YOUR_NUMBER"

client.send_message :to => "RECIPIENTS_PHONE_NUMBER", :text => "hello world"
# => { :success => true, :error_count => 0, :success_count => 1, :result_message => "Success" :status_code => 200 }
```



## Development
Fork the repository, add a feature or bug fix branch. Submit a PR. Please include specs where necessary.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/CosmicColor/coolsms-client.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

